## lustre 1.8.5+dfsg

=== debian/changelog ===
lustre (1.8.5+dfsg-3.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/ldadd_for_loadgen.patch: Correctly link against
      libreadline. Fixes FTBFS.
    - debian/patches/umode_fix.patch: Fix FTBFS due to removed umode_t
      definition.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 19 Mar 2013 16:58:20 -0400

lustre (1.8.5+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Build-depend on automake1.10 instead of 1.7 (Closes: #665485).
  * debian/patches/automake1.10.patch:
    - Cherry-pick patch from upstream VCS to enable build with more
      recent automake versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 03 Aug 2012 22:17:39 +0200

lustre (1.8.5+dfsg-3ubuntu2) quantal; urgency=low

  * umode_fix.patch: fix ftbfs due to removed umode_t definition

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 06 Oct 2012 15:28:53 +0200

lustre (1.8.5+dfsg-3ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #913526).  Remaining changes:
    - Add ldadd_for_loadgen.patch (updated) to correctly link against
      libreadline. Fixes FTBFS. 
  * Drop changes:
    - 615749_no_add_needed.dpatch now in debian
    - Fix a bashism in lustre/liblustre/genlib.sh now in debian
    - debian/rules: link against -lpthread to fix FTBFS no more needed

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 08 Jan 2012 20:25:29 +0100

lustre (1.8.5+dfsg-3) unstable; urgency=low

  * [9194f2d] Build ldiskfs kernel module also on plain 
    debian kernel (2.6.32)
  * [897600b] move modifcations from .diff.gz to 
    modified-debian-specific-stuff.patch (Closes: #643209)
  * [5dbe9c8] Don't depend anymore on automake1.7 (Closes: #648585)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 16 Nov 2011 13:36:11 +0100

lustre (1.8.5+dfsg-2) unstable; urgency=low

  * [2362539] the lib should be installed in /usr/lib/lustre-1.8 
    and not in lustre-1.6
  * [d7b87bd] Add -Wl,--no-add-needed as linkerflags to debian/rules
  * [0517031] Add a patch for building with 
    -Wl,--no-add-needed (Closes: #615749)
  * [14e5cc4] lustre is since a long time maintained in a git vcs...
  * [a66324e] Bump standards version to 3.9.1 - no further changes needed

 -- Patrick Winnertz <winnie@debian.org>  Thu, 17 Mar 2011 11:56:54 +0100

lustre (1.8.5+dfsg-1) unstable; urgency=low

  * [b396782] Imported Upstream version 1.8.5+dfsg
  * [fff132c] Move to 3.0 (quilt)
  * [dad99d6] Add a series file
  * [51aa515] Comment out two patches which doesn't apply with quilt
    currently
  * [2af3035] Refresh all patches using quilt refresh
  * [c8394bc] Remove dpatch from build-depends, we're using only quilt
    now
  * [50c03e5] Fix a lintian warnings concerning the manpage of lctl and
    lustre
  * [53e15ec] Remove unused lintian overrides
  * [629cb8f] Merge fix-lustre-manpage.patch and lustre_manpages.patch
  * [0542c74] cleaned up debian/patches/ - removed unused stuff
  * [5758022] Install all new manpages into the packages
  * [2e982eb] Removed unused overrides
  * [e890c68] Fix some more lintian warnings and errors in the lustre
    packages
  * [4d5e398] Fix some more lintian warnings
  * [4fe0a09] Updated changelog entry for 1.8.5-1
  * [f5d142f] Remove mark_rodata_ro and mark_rodata_rw from cacheflush.h

 -- Patrick Winnertz <winnie@debian.org>  Fri, 17 Dec 2010 13:26:08 +0100

lustre (1.8.4-1) unstable; urgency=low

  * [f4955cc] Remove .gitignore file to prevent conflicts with lustre-
    git
  * [bff2c31] Imported Upstream version 1.8.4~git20100804
  * [5b0ed6a] Add changelog entry for 1.8.4
  * [df980ba] Remove autogen.sh patch
  * [83b26d5] Remove manpage fix
  * [75375cb] Remove typecasts patch as it doesn't apply
  * [94ce62e] Remove another patch which doesn't apply
  * [d0dc2eb] Add a small patch to prevent version_tag.pl from failing
  * [72e426e] Remove -Werror from gcc arguments
  * [9cf2a66] Imported Upstream version 1.8.4

 -- Patrick Winnertz <winnie@debian.org>  Thu, 19 Aug 2010 10:05:29 +0200

lustre (1.8.3-4ubuntu2) oneiric; urgency=low

  * Add ldadd_for_loadgen.dpatch to correctly link against
    libreadline. Fixes FTBFS. (LP: #770758)
  * Backport 615749_no_add_needed.dpatch from 1.8.5+dfsg-2 to
    correctly link against libpthread. Fixes FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 12 Sep 2011 20:58:38 -0400

lustre (1.8.3-4ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Fix a bashism in lustre/liblustre/genlib.sh
    - Build lustre without stack protector as the linker is called with
      -nostdlib.
  * link against -lpthread to fix FTBFS  

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 Nov 2010 11:25:22 +0530

lustre (1.8.3-4) unstable; urgency=low

  * [98ac0eb] Fix a small typo in the control file (Closes: #587201)
  * [5dad88e] Using /bin/bash as interpreter for lnet-selftest 
    (Closes: #581121)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 29 Jul 2010 11:27:56 +0200

lustre (1.8.3-3) unstable; urgency=low

  * [015b186] Fixed typo in bug15587 patch: SECURUTY --> SECURITY
  * [3f28bcb] Add a suggest to ofa-kernel-source and link against a ofa-
    kernel-headers dir if available
  * [912f1ee] Add a ugly hack to recommend ofa-kernel-modules if they
    should exist (if lustre is linked against it)
  * [5d01075] Install mkfs.lustre into /sbin instead of /usr/sbin
    (Closes: #589230)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 28 Jul 2010 12:24:21 +0200

lustre (1.8.3-2ubuntu1) maverick; urgency=low

  * Fix a bashism in lustre/liblustre/genlib.sh
  * Build lustre without stack protector as the linker is called with
    -nostdlib.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 26 Jun 2010 00:02:43 +0200

lustre (1.8.3-2) unstable; urgency=low

  * [df329e4] Add bug15587_security.capability_xattr.dpatch
  * [f274fcb] Fix some lintian warnings/issues

 -- Patrick Winnertz <winnie@debian.org>  Wed, 02 Jun 2010 12:24:23 +0200

lustre (1.8.3-1) unstable; urgency=low


