=== debian/control ===
Source: lustre
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>
Uploaders: Patrick Winnertz <winnie@debian.org>, Noèl Köthe <noel@debian.org>
Standards-Version: 3.9.1
Build-Depends: libreadline-dev, debhelper (>=6.0.7), dh-kpatches (>= 0.99.3), lyx, automake1.10, libsnmp-dev, bzip2, texlive-extra-utils, quilt, texlive-latex-recommended, libncurses-dev
Homepage: http://www.lustre.org/
Vcs-Git: git://git.lustre.org/prime/lustre.git

Package: linux-patch-lustre
Section: kernel
Architecture: all
Depends: ${kpatch:Depends}, ${misc:Depends}
Recommends: kernel-package, quilt
Description: Linux kernel patch for the Lustre Filesystem
 Lustre is a scalable, secure, robust, highly-available 
 cluster file system. It is maintained by Cluster Filesystems, Inc.
 and available from http://www.lustre.org
 .
 Lustre servers require a number of patches to the core Linux kernel,
 mostly to export new functions, add features to ext3, and add 
 a new locking path to the VFS. This package provides these patches
 for kernel versions 2.6.18, 2.6.21 and 2.6.22 on i386, amd64, powerpc 
 and ia64 architectures.
 .
 For Lustre clients, you will also need to build a lustre-modules
 package, using the lustre-source package and module-assistant.
 
Package: lustre-source
Section: kernel
Architecture: all
Depends: module-assistant, bzip2, debhelper (>= 5.0.0), libsnmp-dev, dpatch, ${misc:Depends}
Suggests: ofa-kernel-source
Description: source for Lustre filesystem client kernel modules
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available from 
 http://www.lustre.org
 .
 This package contains the module source. The client kernel modules 
 can be built from it using module-assistant or make-kpkg.

Package: lustre-utils
Section: utils
Architecture: i386 powerpc amd64 ia64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Userspace utilities for the Lustre filesystem
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available from 
 http://www.lustre.org
 .
 This package provides a number of userspace utilities for 
 maintaining Lustre filesystems.

Package: lustre-tests
Architecture: i386 powerpc amd64 ia64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test suite for the Lustre filesystem
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available from 
 http://www.lustre.org
 .
 This package provides a number of test utilities for the Lustre filesystem.

Package: liblustre
Architecture: i386 powerpc amd64 ia64
Section: otherosfs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for Lustre filesystem utilities
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available
 from http://www.lustre.org
 .
 This package provides a shared library that is used by userspace 
 applications to  work with Lustre filesystems. It gives a user application
 linked with the library access to Lustre
 file systems without the need to mount Lustre (VFS) on the client. 
 The key goals for the library are to provide a portable mechanism to 
 access Lustre from different POSIX compliant operating systems, to provide 
 access from microkernel based systems and from the Windows operating system.
 .
 Currently, liblustre is still under development and only works on Linux 
 (i386 & amd64, not tested on ia64).
 .
 Please see http://wiki.lustre.org/index.php/LibLustre_How-To_Guide for details.

Package: lustre-dev
Section: libdevel
Architecture: i386 powerpc amd64 ia64
Depends: lustre-utils (= ${binary:Version}), ${misc:Depends}
Description: Development files for the Lustre filesystem
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available from 
 http://www.lustre.org
 .
 This package provides development libraries for the Lustre filesystem.
