=== debian/rules ===
#!/usr/bin/make -f
#
# Created 2006 by Alastair McKinstry, <alastair.mckinstry@ichec.ie>, <mckinstry@debian.org>
# Modified 2007 by Patrick Winnertz <patrick.winnertz@skolelinux.org>
# 
# Copying and modification is unlimited, provided that the modified
# version is marked as being modified.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_CPU = $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

CFLAGS = -Wall -g
LDFLAGS = -Wl,--no-add-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

# Module-assistant stuff
PACKAGE=lustre-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

ARCH=$(shell dpkg --print-architecture)
TOP_DIR:=$(shell pwd)

# Lustre version to use
VERSION=`cat $(TOP_DIR)/debian/lustre-version`
SUPPORTED_KERNELS=2.6.18 2.6.22 2.6.24 2.6.26 2.6.27
UPVERSION=`head -n1 $(TOP_DIR)/debian/changelog | awk '{print $$2}' | sed -e 's%[()]%%g'`
OFA_KERNEL=`if [ -d /usr/src/ofa-kernel-headers-$(KVERS) ]; then \
    echo "--with-o2ib=/usr/src/ofa-kernel-headers-$(KVERS)"; \
else \
    echo ""; \
fi`


# Packages
PATCH_PKG=linux-patch-lustre
UTILS_PKG=lustre-utils
TESTS_PKG=lustre-tests
DEV_PKG=lustre-dev
LIB_PKG=liblustre
SOURCE_PKG=lustre-source

#Build dir
BUILDDIR=debian/build

autogen: autogen-stamp
autogen-stamp: patch-stamp
	cp /usr/share/misc/config.sub config.sub
	cp /usr/share/misc/config.sub libsysio/config.sub
	cp /usr/share/misc/config.sub ldiskfs/config.sub
	cp /usr/share/misc/config.guess config.guess
	cp /usr/share/misc/config.guess libsysio/config.guess
	cp /usr/share/misc/config.guess ldiskfs/config.guess
	sh ./autogen.sh
	touch $@

configure: configure-stamp
configure-stamp: autogen-stamp debian/control
	dh_testdir
	# touch files to same date, to avoid auto*
	find . -type f -exec touch -r COPYING {} \;
	mkdir -p $(BUILDDIR)/build $(BUILDDIR)/lustre/contrib $(BUILDDIR)/libsysio
	cp build/Makefile $(BUILDDIR)/build/
	cp lustre/contrib/mpich-*.patch $(BUILDDIR)/lustre/contrib/
	ln -s ../../../libsysio/include $(BUILDDIR)/libsysio/
	( cd $(BUILDDIR) && \
	 export TOP_DIR=$(TOP_DIR); ../../configure --disable-dependency-tracking \
		   --disable-modules \
		   --enable-snmp \
		   --disable-client \
		   --enable-quota \
		   --disable-server )
	# Correct tex2pdf mode.
	chmod 744 lustre/doc/tex2pdf
	touch $@

build-arch build-indep: build

build: build-stamp
build-stamp: patch-stamp configure-stamp
	dh_testdir
	$(MAKE) -C $(BUILDDIR)
	# The .pdf's don't get automatically built, so
	#HOME=$(TOP_DIR)/debian/build/lustre/doc $(MAKE) -C $(BUILDDIR)/lustre/doc lconf.pdf  lctl.pdf  lfs.pdf  lmc.pdf
	## FIXME: $(BUILDDIR) isn't used
	# mv lustre/doc/lconf.pdf lustre/doc/lctl.pdf lustre/doc/lfs.pdf lustre/doc/lmc.pdf $(BUILDDIR)/lustre/doc
	$(MAKE) -C $(BUILDDIR) DESTDIR=$(TOP_DIR)/debian/tmp install
	touch $@

binary-arch: binary-$(UTILS_PKG) binary-$(TESTS_PKG) binary-$(DEV_PKG) binary-$(LIB_PKG) 

binary-indep: binary-$(PATCH_PKG) binary-$(SOURCE_PKG)

binary: binary-indep binary-arch

binary-$(PATCH_PKG): patch-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(PATCH_PKG)
	dh_installdocs -p $(PATCH_PKG)
#	dh_installkpatches -p $(PATCH_PKG)
	dh_install -p $(PATCH_PKG)

	# Install apply script
	cp $(TOP_DIR)/debian/linux-patch-lustre.apply $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/scripts/apply
	chmod a+x $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/scripts/apply
	set -e; for KERNEL in $(SUPPORTED_KERNELS); do \
	  mkdir -p $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/all/$$KERNEL/apply/; \
	  ln -s ../../../lustre/scripts/apply $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/all/$$KERNEL/apply/lustre; \
	done

	# Install unpatch script
	cp $(TOP_DIR)/debian/linux-patch-lustre.unpatch $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/scripts/unpatch
	chmod a+x $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/scripts/unpatch
	set -e; for KERNEL in $(SUPPORTED_KERNELS); do \
	  mkdir -p $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/all/$$KERNEL/unpatch/; \
	  ln -s ../../../lustre/scripts/unpatch $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/all/$$KERNEL/unpatch/lustre; \
	done

	# Install series
	cp lustre/kernel_patches/series/* $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/series/

	# Install patches
	cp lustre/kernel_patches/patches/* $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/patches/

	dh_installchangelogs -p $(PATCH_PKG) lustre/ChangeLog
	dh_compress -p $(PATCH_PKG)
	dh_installdeb -p $(PATCH_PKG)
	dh_fixperms -p $(PATCH_PKG)
	dh_gencontrol -p $(PATCH_PKG)
	dh_md5sums -p $(PATCH_PKG)
	dh_builddeb -p $(PATCH_PKG)

binary-$(UTILS_PKG): build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(UTILS_PKG)
	dh_installdocs -p  $(UTILS_PKG)
	dh_installman -p $(UTILS_PKG)
	dh_install -p $(UTILS_PKG)
	#Removing not needed shell scripts from utils pkg.
	rm -f debian/$(UTILS_PKG)/usr/bin/config.sh  debian/$(UTILS_PKG)/usr/bin/gather_stats_everywhere.sh debian/$(UTILS_PKG)/usr/bin/lstats.sh
	dh_makeshlibs -p $(UTILS_PKG)
	dh_shlibdeps -L $(LIB_PKG) -l debian/$(LIB_PKG)/usr/lib
	dh_installexamples -p $(UTILS_PKG)
	dh_installchangelogs -p $(UTILS_PKG) lustre/ChangeLog
	dh_compress -p $(UTILS_PKG)
	dh_lintian -p $(UTILS_PKG)
	dh_strip -p $(UTILS_PKG)
	dh_installdeb -p $(UTILS_PKG)
	dh_fixperms -p $(UTILS_PKG)
	dh_gencontrol -p $(UTILS_PKG)
	dh_md5sums -p $(UTILS_PKG)
	dh_builddeb -p $(UTILS_PKG)

binary-$(TESTS_PKG): build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(TESTS_PKG)
	dh_installdocs -p  $(TESTS_PKG)
	dh_installman -p $(TESTS_PKG)
	dh_install -p $(TESTS_PKG)
	#removing ncli.sh as it is not needed 
	rm -f debian/$(TESTS_PKG)/usr/lib/lustre/tests/cfg/ncli.sh 
	dh_makeshlibs -p $(TESTS_PKG)
	dh_shlibdeps -L $(LIB_PKG) -l debian/$(LIB_PKG)/usr/lib
	dh_installexamples -p $(TESTS_PKG)
	dh_installchangelogs -p $(TESTS_PKG) lustre/ChangeLog
	dh_compress -p $(TESTS_PKG)
	dh_lintian -p $(TESTS_PKG)
	dh_strip -p $(TESTS_PKG)
	dh_installdeb -p $(TESTS_PKG)
	dh_fixperms -p $(TESTS_PKG)
	dh_gencontrol -p $(TESTS_PKG)
	dh_md5sums -p $(TESTS_PKG)
	dh_builddeb -p $(TESTS_PKG)

binary-$(DEV_PKG): build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(DEV_PKG)
	dh_install -p $(DEV_PKG)
	dh_installdocs -p $(DEV_PKG)
	dh_installchangelogs -p $(DEV_PKG) lustre/ChangeLog
	dh_compress -p $(DEV_PKG)
	dh_installdeb -p $(DEV_PKG)
	dh_fixperms -p $(DEV_PKG)
	dh_gencontrol -p $(DEV_PKG)
	dh_md5sums -p $(DEV_PKG)
	dh_builddeb -p $(DEV_PKG)

binary-$(LIB_PKG): build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(LIB_PKG)
	dh_installdocs -p $(LIB_PKG)
	dh_install -p $(LIB_PKG)
	dh_makeshlibs -p $(LIB_PKG)
	dh_shlibdeps -L $(LIB_PKG) -l debian/$(LIB_PKG)/usr/lib
	dh_installchangelogs -p $(LIB_PKG) lustre/ChangeLog
	dh_compress -p $(LIB_PKG)
	dh_installdeb -p $(LIB_PKG)
	dh_lintian -p $(LIB_PKG)
	dh_strip -p $(LIB_PKG)
	dh_fixperms -p $(LIB_PKG)
	dh_gencontrol -p $(LIB_PKG)
	dh_md5sums -p $(LIB_PKG)
	dh_builddeb -p $(LIB_PKG)

binary-$(SOURCE_PKG): build-stamp
	dh_testdir 
	dh_testroot
	# Copy everything 
	dh_installdirs -p $(SOURCE_PKG) usr/src/modules/lustre/debian
	tar -chf - . --exclude='debian/$(SOURCE_PKG)/*' | \
	 ( cd debian/$(SOURCE_PKG)/usr/src/modules/lustre && \
	  	   tar xf - )
	# clean up dest
	rm -rf debian/$(SOURCE_PKG)/usr/src/modules/lustre/debian/patched \
	       debian/$(SOURCE_PKG)/usr/src/modules/lustre/debian/patches/* 
	$(MAKE) -C debian/$(SOURCE_PKG)/usr/src/modules/lustre -f debian/rules clean
	# Create the module-source tarball.
	echo $(UPVERSION) > debian/$(SOURCE_PKG)/usr/src/modules/lustre/debian/lustre-version
	cd debian/$(SOURCE_PKG)/usr/src && tar jcf lustre.tar.bz2 modules 
	rm -rf debian/$(SOURCE_PKG)/usr/src/modules
	dh_install -p$(SOURCE_PKG)
